Package: org.gradle.api.plugins

## [Groovy] Class WarPluginConvention

- org.gradle.api.plugins.WarPluginConvention

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Project` | `project`
    `String` | `webAppDirName` The name of the web application directory, relative to the project directory.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WarPluginConvention (Project project)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getWebAppDir()` Returns the web application directory.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### final Project project

    - #### String webAppDirName

      The name of the web application directory, relative to the project directory.

  - ### Constructor Detail

    - #### WarPluginConvention(Project project)

  - ### Method Detail

    - #### File getWebAppDir()

      Returns the web application directory.